@echo off

for %%i in (*.dpr) do dcc32 -cc %%i

for %%i in (??.t) do (
  copy %%i %%~ni > nul
)

javac gen_random1.java
java gen_random1

rem javac gen_max.java
rem java gen_max

rem javac gen_max2.java
rem java gen_max2
             
dcc32 -cc ..\check.dpr

call tall vu
call docheck sp